unit HitDetail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  THitDetailForm = class(TForm)
    Label1: TLabel;
    TimeLab: TLabel;
    Label3: TLabel;
    HitLab: TLabel;
    Label2: TLabel;
    RemoteLab: TLabel;
    Label4: TLabel;
    FileLab: TLabel;
    Label5: TLabel;
    DataMemo: TMemo;
    Label6: TLabel;
    HeaderMemo: TMemo;
    Label7: TLabel;
    ErrorLab: TLabel;
    OKBut: TButton;
    NextBut: TButton;
    BackBut: TButton;
    procedure FormShow(Sender: TObject);
    procedure NextButClick(Sender: TObject);
    procedure BackButClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    lv : TListView;
  end;

var
  HitDetailForm: THitDetailForm;

implementation

{$R *.DFM}



procedure THitDetailForm.FormShow(Sender: TObject);
var
   li : TListItem;
begin
   li := LV.Selected;
   if li=nil then exit;

   TimeLab.Caption := li.Caption;
   HitLab.Caption  := li.SubItems[0];
   RemoteLab.Caption  := li.SubItems[1];
   FileLab.Caption  := li.SubItems[2];
   DataMemo.Text := li.SubItems[3];
   HeaderMemo.Text := li.SubItems[4];
   ErrorLab.Caption  := li.SubItems[5];
end;

procedure THitDetailForm.NextButClick(Sender: TObject);
var
   li : TListItem;
begin
   li := LV.Selected;
   if li=nil then exit;

   if li.Index+1 < LV.Items.Count then
      LV.Selected := LV.Items[li.Index + 1];
   FormShow(nil);
end;

procedure THitDetailForm.BackButClick(Sender: TObject);
var
   li : TListItem;
begin
   li := LV.Selected;
   if li=nil then exit;

   if li.Index-1 >= 0 then
      LV.Selected := LV.Items[li.Index - 1];
   FormShow(nil);
end;

end.
