/* --------------------------------------------------
kbmWABD - Date and numeric input fields routines
Requires: 
- JQuery 1.6+
- JQuery-UI
@ 2014  Giandomenico De Sanctis
----------------------------------------------------- */

function isNumberKey(evt){
    var charCode = (evt.which) ? evt.which : event.keyCode;
    if (charCode == 8) // delete/back (<--) key
	return true
    else	
    // ASCII codes:  44 ','; 45 '-'; 46 '.';  48-57 -> numbers 0->9;
    if (charCode < 44 || charCode > 57 || charCode == 47)
        return false
    else
	{
    	//alert(evt.target.value + '//' + String.fromCharCode(charCode));
	if (evt.target.value == '')
		return true
	else
    		return ( numRx.test(evt.target.value + String.fromCharCode(charCode))); 
	};
}; 
 

  var decPoint = '\.'; // change for language different from english 
  var numRx = new RegExp("(^-?[0-9]+" + decPoint + "[0-9]*$)|(^-?[0-9]*" + decPoint + "[0-9]+$)|(^-?[0-9]+$)");
  
  $(document).ready(function(){
	  // activate datepicker on INPUT tag with type DATE
	  // if defined set also MIN and MAX values
	  var inpdate =  $( "input[type='date']" );		
	  $.each(inpdate, function(index, d) {
	        $(d).datepicker( { inline: true } );
		if (d.min ) 
		   $(d).datepicker("option", "minDate", d.min );
 		if (d.max ) 
		   $(d).datepicker("option", "maxDate", d.max );
		} 
	  );
	 
	  // activatenumeric keypress control on INPUT tag with type NUMBER
          $( "input[type='number']" ).keypress(
                 function(event){return isNumberKey(event); });
 
          $(function($) {
               $(".codfisc").mask("aaaaaa99a99a999a");  // codice fiscale
          });
  });  // end document ready

